Package org.apache.commons.lang.text

## Interface FormatFactory

-     public interface FormatFactory

  Format factory.
  Since:
    2.4
  Version:
    $Id: FormatFactory.java 905636 2010-02-02 14:03:32Z niallp $

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Format` | `getFormat​(String name, String arguments, Locale locale)` | Create or retrieve a format instance.

- - ### Method Detail

    - #### getFormat

          Format getFormat​(String name,
                           String arguments,
                           Locale locale)

      Create or retrieve a format instance.
      Parameters:
        `name` - The format type name
        `arguments` - Arguments used to create the format instance. This allows the `FormatFactory` to implement the "format style" concept from `java.text.MessageFormat`.
        `locale` - The locale, may be null
      Returns:
        The format instance